ubuntu/+source/389-ds-base:applied/debian/experimental

Last commit made on 2018-08-01
Get this branch:
git clone -b applied/debian/experimental https://git.launchpad.net/ubuntu/+source/389-ds-base
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/debian/experimental
Repository:
lp:ubuntu/+source/389-ds-base

Recent commits

ad65b32... by Timo Aaltonen on 2018-07-31

Import patches-applied version 1.4.0.13-1 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: ca2be460319eede856399dd0830bda1ddcc58a60
Unapplied parent: 433e97ba36afe996c8838f0932dc6b1dc5f2793e

New changelog entries:
  * New upstream release.
    - CVE-2018-10850 (Closes: #903501)
  * control: Update maintainer address.
  * control: Upstream dropped support for non-64bit architectures, so
    build only on supported 64bit archs (amd64, arm64, mips64el,
    ppc64el, s390x).
  * control: svrcore got merged here, drop it from build-depends.
  * ftbs_lsoftotkn3.diff: Dropped, obsolete.
  * control: Add rsync to build-depends.
  * libs, dev, control: Add libsvrcore files, replace old package.
  * base: Add new scripts, add python3-selinux, -semanage, -sepolicy to
    depends.
  * Add a package for cockpit-389-ds.
  * rules: Clean up cruft left after build.
  * control: Drop dh_systemd from build-depends, bump debhelper to 11.
  * Add varions libjs packages to cockpit-389-ds Depends, add the rest
    to d/missing-sources.
  * copyright: Updated. (Closes: #904760)
  * control: Modify 389-ds to depend on cockpit-389-ds and drop the old
    GUI packages which are deprecated upstream.
  * dont-build-new-manpages.diff: Debian doesn't have argparse-manpage,
    so in order to not FTBFS don't build new manpages.
  * base.install: Add man5/*.

433e97b... by Timo Aaltonen on 2018-07-31

dont-build-new-manpages.diff

No DEP3 Subject or Description header found

Gbp-Pq: dont-build-new-manpages.diff.

86f0366... by Timo Aaltonen on 2018-07-31

use-packaged-js.diff

No DEP3 Subject or Description header found

Gbp-Pq: use-packaged-js.diff.

ff8ef49... by Timo Aaltonen on 2018-07-31

Slapi_ct_memcmp expects both inputs to be

Gbp-Pq: CVE-2017-15135.patch.

fdab2cc... by Timo Aaltonen on 2018-07-31

Fix the path to systemctl binary

Gbp-Pq: fix-systemctl-path.diff.

1a45746... by Timo Aaltonen on 2018-07-31

fix-saslpath.diff

No DEP3 Subject or Description header found

Gbp-Pq: fix-saslpath.diff.

77384ac... by Timo Aaltonen on 2018-07-31

fix-obsolete-target.diff

No DEP3 Subject or Description header found

Gbp-Pq: fix-obsolete-target.diff.

cce4a9a... by Timo Aaltonen on 2018-07-31

rename-online-scripts.diff

No DEP3 Subject or Description header found

Gbp-Pq: rename-online-scripts.diff.

57af2c3... by Timo Aaltonen on 2018-07-31

use-bash-instead-of-sh.diff

No DEP3 Subject or Description header found

Gbp-Pq: use-bash-instead-of-sh.diff.

ae7724a... by Timo Aaltonen on 2018-07-31

Import patches-unapplied version 1.4.0.13-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: b016a48e9edb2405eb65bd5c3847901b802fd696

New changelog entries:
  * New upstream release.
    - CVE-2018-10850 (Closes: #903501)
  * control: Update maintainer address.
  * control: Upstream dropped support for non-64bit architectures, so
    build only on supported 64bit archs (amd64, arm64, mips64el,
    ppc64el, s390x).
  * control: svrcore got merged here, drop it from build-depends.
  * ftbs_lsoftotkn3.diff: Dropped, obsolete.
  * control: Add rsync to build-depends.
  * libs, dev, control: Add libsvrcore files, replace old package.
  * base: Add new scripts, add python3-selinux, -semanage, -sepolicy to
    depends.
  * Add a package for cockpit-389-ds.
  * rules: Clean up cruft left after build.
  * control: Drop dh_systemd from build-depends, bump debhelper to 11.
  * Add varions libjs packages to cockpit-389-ds Depends, add the rest
    to d/missing-sources.
  * copyright: Updated. (Closes: #904760)
  * control: Modify 389-ds to depend on cockpit-389-ds and drop the old
    GUI packages which are deprecated upstream.
  * dont-build-new-manpages.diff: Debian doesn't have argparse-manpage,
    so in order to not FTBFS don't build new manpages.
  * base.install: Add man5/*.